perl_cpan_polymake_prereq: Represents all Perl packages that are prerequisites for polymake

Description

This script package represents all Perl packages that are prerequisites for polymake.

License

Various free software licenses

Type

optional

Version Information

Equivalent System Packages

cpan:

$ cpan -i XML::Writer XML::LibXML XML::LibXSLT File::Slurp JSON SVG Term::ReadKey

Debian/Ubuntu:

$ sudo apt-get install  libxml-libxslt-perl libxml-writer-perl libxml2-dev libperl-dev libfile-slurp-perl libjson-perl libsvg-perl libterm-readkey-perl libterm-readline-gnu-perl

Fedora/Redhat/CentOS:

$ sudo yum install  perl-ExtUtils-Embed perl-File-Slurp perl-JSON perl-Term-ReadLine-Gnu perl-TermReadKey perl-XML-Writer perl-XML-LibXML perl-XML-LibXSLT

freebsd:

$ sudo pkg install textproc/p5-XML-Writer textproc/p5-XML-LibXML textproc/p5-XML-LibXSLT devel/p5-File-Slurp converters/p5-JSON textproc/p5-SVG devel/p5-Term-ReadKey

gentoo:

$ sudo emerge XML-Writer XML-LibXML XML-LibXSLT File-Slurp dev-perl/Term-ReadLine-Gnu dev-perl/TermReadKey JSON SVG

void:

$ sudo xbps-install  perl-File-Slurp perl-JSON perl-SVG perl-Term-ReadKey perl-XML-LibXML perl-XML-LibXSLT perl-XML-Writer

If the system package is installed, ./configure will check whether it can be used.